Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon.text
Class Token

    java.lang.Object
      |
      +--swing.addon.text.Token

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Token.Declaration, Token.Expression, Token.Modifier, Token.Operator, Token.Punctuation, Token.Special, Token.Statement, Token.Type, Token.Value

public class Token
extends java.lang.Object
implements java.io.Serializable

Simple class to represent a lexical token. This wraps the Constants used by the scanner to provide a convenient class that can be stored as a attribute value.

Version:
  1.2 05/04/98
Author:
  Timothy Prinzing
See Also:
  Serialized Form

Inner Class Summary
`static class` | `Token.Declaration`
`static class` | `Token.Expression`
`static class` | `Token.Modifier`
`static class` | `Token.Operator`
`static class` | `Token.Punctuation`
`static class` | `Token.Special`
`static class` | `Token.Statement`
`static class` | `Token.Type`
`static class` | `Token.Value`

Field Summary
`static Token` | `ABSTRACT`
`static Token` | `ADD`
`static Token` | `AND`
`static Token` | `ARRAY`
`static Token` | `ARRAYACCESS`
`static Token` | `ASGADD`
`static Token` | `ASGBITAND`
`static Token` | `ASGBITOR`
`static Token` | `ASGBITXOR`
`static Token` | `ASGDIV`
`static Token` | `ASGLSHIFT`
`static Token` | `ASGMUL`
`static Token` | `ASGREM`
`static Token` | `ASGRSHIFT`
`static Token` | `ASGSUB`
`static Token` | `ASGURSHIFT`
`static Token` | `ASSIGN`
`static Token` | `BITAND`
`static Token` | `BITNOT`
`static Token` | `BITOR`
`static Token` | `BITXOR`
`static Token` | `BOOLEAN`
`static Token` | `BOOLEANVAL`
`static Token` | `BREAK`
`static Token` | `BYTE`
`static Token` | `BYTEVAL`
`static Token` | `CASE`
`static Token` | `CAST`
`static Token` | `CATCH`
`static Token` | `CHAR`
`static Token` | `CHARVAL`
`static Token` | `CLASS`
`static Token` | `COLON`
`static Token` | `COMMA`
`static Token` | `COMMENT`
`static Token` | `COND`
`static Token` | `CONST`
`static Token` | `CONTINUE`
`static Token` | `CONVERT`
`static Token` | `DEC`
`static Token` | `DECLARATION`
`static Token` | `DEFAULT`
`static Token` | `DIV`
`static Token` | `DO`
`static Token` | `DOUBLE`
`static Token` | `DOUBLEVAL`
`static Token` | `ELSE`
`static Token` | `EQ`
`static Token` | `ERROR`
`static Token` | `EXPR`
`static Token` | `EXPRESSION`
`static Token` | `EXTENDS`
`static Token` | `FALSE`
`static Token` | `FIELD`
`static Token` | `FINAL`
`static Token` | `FINALLY`
`static Token` | `FLOAT`
`static Token` | `FLOATVAL`
`static Token` | `FOR`
`static Token` | `GE`
`static Token` | `GOTO`
`static Token` | `GT`
`static Token` | `IDENT`
`static Token` | `IF`
`static Token` | `IMPLEMENTS`
`static Token` | `IMPORT`
`static Token` | `INC`
`static Token` | `INLINEMETHOD`
`static Token` | `INLINENEWINSTANCE`
`static Token` | `INLINERETURN`
`static Token` | `INSTANCEOF`
`static Token` | `INT`
`static Token` | `INTERFACE`
`static Token` | `INTVAL`
`static Token` | `LBRACE`
`static Token` | `LE`
`static Token` | `LENGTH`
`static Token` | `LONG`
`static Token` | `LONGVAL`
`static Token` | `LPAREN`
`static Token` | `LSHIFT`
`static Token` | `LSQBRACKET`
`static Token` | `LT`
`static int` | `MaximumScanValue`
`static Token` | `METHOD`
`static Token` | `MUL`
`static Token` | `NATIVE`
`static Token` | `NE`
`static Token` | `NEG`
`static Token` | `NEW`
`static Token` | `NEWARRAY`
`static Token` | `NEWFROMNAME`
`static Token` | `NEWINSTANCE`
`static Token` | `NOT`
`static Token` | `NULL`
`static Token` | `OR`
`static Token` | `PACKAGE`
`static Token` | `POS`
`static Token` | `POSTDEC`
`static Token` | `POSTINC`
`static Token` | `PREDEC`
`static Token` | `PREINC`
`static Token` | `PRIVATE`
`static Token` | `PROTECTED`
`static Token` | `PUBLIC`
`static Token` | `QUESTIONMARK`
`static Token` | `RBRACE`
`static Token` | `REM`
`static Token` | `RETURN`
`static Token` | `RPAREN`
`static Token` | `RSHIFT`
`static Token` | `RSQBRACKET`
`static Token` | `SEMICOLON`
`static Token` | `SHORT`
`static Token` | `SHORTVAL`
`static Token` | `STAT`
`static Token` | `STATIC`
`static Token` | `STRINGVAL`
`static Token` | `SUB`
`static Token` | `SUPER`
`static Token` | `SWITCH`
`static Token` | `SYNCHRONIZED`
`static Token` | `THIS`
`static Token` | `THROW`
`static Token` | `THROWS`
`static java.lang.Object` | `TokenAttribute` Key to be used in AttributeSet's holding a value of Token.
`static Token` | `TRANSIENT`
`static Token` | `TRUE`
`static Token` | `TRY`
`static Token` | `TYPE`
`static Token` | `UNSCANNED`
`static Token` | `URSHIFT`
`static Token` | `VARDECLARATION`
`static Token` | `VOID`
`static Token` | `VOLATILE`
`static Token` | `WHILE`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this object to the specifed object.
`java.lang.String` | `getCategory()` Specifies the category of the token as a string that can be used as a label.
`int` | `getScanValue()` Numeric value of this token.
`int` | `hashCode()` Returns a hashcode for this set of attributes.
`java.lang.String` | `toString()` A human presentable form of the token, useful for things like lists, debugging, etc.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MaximumScanValue

    public static final int MaximumScanValue

### TokenAttribute

    public static final java.lang.Object TokenAttribute

  Key to be used in AttributeSet's holding a value of Token.

### COMMA

    public static final Token COMMA

### ASSIGN

    public static final Token ASSIGN

### ASGMUL

    public static final Token ASGMUL

### ASGDIV

    public static final Token ASGDIV

### ASGREM

    public static final Token ASGREM

### ASGADD

    public static final Token ASGADD

### ASGSUB

    public static final Token ASGSUB

### ASGLSHIFT

    public static final Token ASGLSHIFT

### ASGRSHIFT

    public static final Token ASGRSHIFT

### ASGURSHIFT

    public static final Token ASGURSHIFT

### ASGBITAND

    public static final Token ASGBITAND

### ASGBITOR

    public static final Token ASGBITOR

### ASGBITXOR

    public static final Token ASGBITXOR

### COND

    public static final Token COND

### OR

    public static final Token OR

### AND

    public static final Token AND

### BITOR

    public static final Token BITOR

### BITXOR

    public static final Token BITXOR

### BITAND

    public static final Token BITAND

### NE

    public static final Token NE

### EQ

    public static final Token EQ

### GE

    public static final Token GE

### GT

    public static final Token GT

### LE

    public static final Token LE

### LT

    public static final Token LT

### INSTANCEOF

    public static final Token INSTANCEOF

### LSHIFT

    public static final Token LSHIFT

### RSHIFT

    public static final Token RSHIFT

### URSHIFT

    public static final Token URSHIFT

### ADD

    public static final Token ADD

### SUB

    public static final Token SUB

### DIV

    public static final Token DIV

### REM

    public static final Token REM

### MUL

    public static final Token MUL

### CAST

    public static final Token CAST

### POS

    public static final Token POS

### NEG

    public static final Token NEG

### NOT

    public static final Token NOT

### BITNOT

    public static final Token BITNOT

### PREINC

    public static final Token PREINC

### PREDEC

    public static final Token PREDEC

### NEWARRAY

    public static final Token NEWARRAY

### NEWINSTANCE

    public static final Token NEWINSTANCE

### NEWFROMNAME

    public static final Token NEWFROMNAME

### POSTINC

    public static final Token POSTINC

### POSTDEC

    public static final Token POSTDEC

### FIELD

    public static final Token FIELD

### METHOD

    public static final Token METHOD

### ARRAYACCESS

    public static final Token ARRAYACCESS

### NEW

    public static final Token NEW

### INC

    public static final Token INC

### DEC

    public static final Token DEC

### CONVERT

    public static final Token CONVERT

### EXPR

    public static final Token EXPR

### ARRAY

    public static final Token ARRAY

### GOTO

    public static final Token GOTO

### IDENT

    public static final Token IDENT

### BOOLEANVAL

    public static final Token BOOLEANVAL

### BYTEVAL

    public static final Token BYTEVAL

### CHARVAL

    public static final Token CHARVAL

### SHORTVAL

    public static final Token SHORTVAL

### INTVAL

    public static final Token INTVAL

### LONGVAL

    public static final Token LONGVAL

### FLOATVAL

    public static final Token FLOATVAL

### DOUBLEVAL

    public static final Token DOUBLEVAL

### STRINGVAL

    public static final Token STRINGVAL

### BYTE

    public static final Token BYTE

### CHAR

    public static final Token CHAR

### SHORT

    public static final Token SHORT

### INT

    public static final Token INT

### LONG

    public static final Token LONG

### FLOAT

    public static final Token FLOAT

### DOUBLE

    public static final Token DOUBLE

### VOID

    public static final Token VOID

### BOOLEAN

    public static final Token BOOLEAN

### TRUE

    public static final Token TRUE

### FALSE

    public static final Token FALSE

### THIS

    public static final Token THIS

### SUPER

    public static final Token SUPER

### NULL

    public static final Token NULL

### IF

    public static final Token IF

### ELSE

    public static final Token ELSE

### FOR

    public static final Token FOR

### WHILE

    public static final Token WHILE

### DO

    public static final Token DO

### SWITCH

    public static final Token SWITCH

### CASE

    public static final Token CASE

### DEFAULT

    public static final Token DEFAULT

### BREAK

    public static final Token BREAK

### CONTINUE

    public static final Token CONTINUE

### RETURN

    public static final Token RETURN

### TRY

    public static final Token TRY

### CATCH

    public static final Token CATCH

### FINALLY

    public static final Token FINALLY

### THROW

    public static final Token THROW

### STAT

    public static final Token STAT

### EXPRESSION

    public static final Token EXPRESSION

### DECLARATION

    public static final Token DECLARATION

### VARDECLARATION

    public static final Token VARDECLARATION

### IMPORT

    public static final Token IMPORT

### CLASS

    public static final Token CLASS

### EXTENDS

    public static final Token EXTENDS

### IMPLEMENTS

    public static final Token IMPLEMENTS

### INTERFACE

    public static final Token INTERFACE

### PACKAGE

    public static final Token PACKAGE

### PRIVATE

    public static final Token PRIVATE

### PUBLIC

    public static final Token PUBLIC

### PROTECTED

    public static final Token PROTECTED

### CONST

    public static final Token CONST

### STATIC

    public static final Token STATIC

### TRANSIENT

    public static final Token TRANSIENT

### SYNCHRONIZED

    public static final Token SYNCHRONIZED

### NATIVE

    public static final Token NATIVE

### FINAL

    public static final Token FINAL

### VOLATILE

    public static final Token VOLATILE

### ABSTRACT

    public static final Token ABSTRACT

### SEMICOLON

    public static final Token SEMICOLON

### COLON

    public static final Token COLON

### QUESTIONMARK

    public static final Token QUESTIONMARK

### LBRACE

    public static final Token LBRACE

### RBRACE

    public static final Token RBRACE

### LPAREN

    public static final Token LPAREN

### RPAREN

    public static final Token RPAREN

### LSQBRACKET

    public static final Token LSQBRACKET

### RSQBRACKET

    public static final Token RSQBRACKET

### THROWS

    public static final Token THROWS

### ERROR

    public static final Token ERROR

### COMMENT

    public static final Token COMMENT

### TYPE

    public static final Token TYPE

### LENGTH

    public static final Token LENGTH

### INLINERETURN

    public static final Token INLINERETURN

### INLINEMETHOD

    public static final Token INLINEMETHOD

### INLINENEWINSTANCE

    public static final Token INLINENEWINSTANCE

### UNSCANNED

    public static final Token UNSCANNED

Method Detail

### equals

    public final boolean equals(java.lang.Object obj)

  Compares this object to the specifed object. The result is `true` if and only if the argument is not `null` and is a `Font` object with the same name, style, and point size as this font.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare this font with.
  Returns:
    `true` if the objects are equal; `false` otherwise.

### getCategory

    public java.lang.String getCategory()

  Specifies the category of the token as a string that can be used as a label.

### getScanValue

    public int getScanValue()

  Numeric value of this token. This is the value returned by the scanner and is the tie between the lexical scanner and the tokens.

### hashCode

    public final int hashCode()

  Returns a hashcode for this set of attributes.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    a hashcode value for this set of attributes.

### toString

    public java.lang.String toString()

  A human presentable form of the token, useful for things like lists, debugging, etc.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD